﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace LayoutColumnSizing
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            DataTable dt = new DataTable();
            dt.Columns.Add("Column 1", typeof(string));
            dt.Columns.Add("Column 2", typeof(string)); 
            dt.Columns.Add("Column 3", typeof(string)); 
            dt.Columns.Add("Column 4", typeof(string));
            dt.Rows.Add("aa", "bb", "cc", "dd");
            ultraGrid1.DataSource = dt.DefaultView;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns["Column 2"].MinWidth = e.Layout.Bands[0].Columns["Column 2"].Width;
            e.Layout.Bands[0].Columns["Column 2"].MaxWidth = e.Layout.Bands[0].Columns["Column 2"].Width;
            e.Layout.Bands[0].Columns["Column 4"].MinWidth = e.Layout.Bands[0].Columns["Column 4"].Width;
            e.Layout.Bands[0].Columns["Column 4"].MaxWidth = e.Layout.Bands[0].Columns["Column 4"].Width;
        }
    }
}
